<?xml version="1.0" encoding="utf-8" standalone="no" ?>
<placeable type="silo" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="../../../../shared/xml/schema/placeable.xsd">
    <storeData>
        <name>$l10n_storeItem_dieselTank02</name>
        <functions>
            <function>$l10n_function_dieselTank</function>
        </functions>
        <image>store/store_tanque_baixo.dds</image>
        <price>1500</price>
        <canBeSold>true</canBeSold>
        <showInStore>true</showInStore>
        <dailyUpkeep>10</dailyUpkeep>
        <lifetime>1000</lifetime>
        <rotation>0</rotation>
        <brand>NONE</brand>
        <species>placeable</species>
        <category>dieselTanks</category>
        <brush>
            <type>placeable</type>
            <category>buildings</category>
            <tab>containers</tab>
        </brush>
        <vertexBufferMemoryUsage>266240</vertexBufferMemoryUsage>
        <indexBufferMemoryUsage>76032</indexBufferMemoryUsage>
        <textureMemoryUsage>3604480</textureMemoryUsage>
        <audioMemoryUsage>0</audioMemoryUsage>
        <instanceVertexBufferMemoryUsage>0</instanceVertexBufferMemoryUsage>
        <instanceIndexBufferMemoryUsage>0</instanceIndexBufferMemoryUsage>
    </storeData>

    <base>
        <filename>i3d/tanque_baixo.i3d</filename>
        <canBeRenamed>true</canBeRenamed>
    </base>

    <placement useRandomYRotation="false" useManualYRotation="true" >
        <testAreas>
            <testArea startNode="0>3|0" endNode="0>3|0|0" />
        </testAreas>

        <sounds>
            <place template="medImp" />
        </sounds>
    </placement>

    <clearAreas>
        <clearArea startNode="0>0|0" widthNode="0>0|0|0" heightNode="0>0|0|1"/>
    </clearAreas>

    <leveling requireLeveling="true" maxSmoothDistance="10" maxSlope="75" maxEdgeAngle="30">
        <levelAreas>
            <levelArea startNode="0>1|0" widthNode="0>1|0|0" heightNode="0>1|0|1" groundType="dirt"/>
        </levelAreas>
    </leveling>

    <indoorAreas/>

    <tipOcclusionUpdateAreas>
        <tipOcclusionUpdateArea startNode="0>4|0" endNode="0>4|0|0" />
    </tipOcclusionUpdateAreas>

    <ai>
        <updateAreas>
            <updateArea startNode="0>4|0" endNode="0>4|0|0" />
        </updateAreas>
    </ai>

    <hotspots>
        <hotspot type="FUEL" linkNode="0>6|1" teleportNode="0>6|8"/>
    </hotspots>

    <triggerMarkers>
        <triggerMarker node="0>6|6"  filename="$data/shared/assets/marker/markerIconWrench.i3d" />
    </triggerMarkers>

    <infoTrigger triggerNode="0>6|4"/>

    <silo playerActionTrigger="0>6|5" sellWarningText="$l10n_info_tankNotEmpty">
        <loadingStation node="0>6|3|0" supportsExtension="false">
            <loadTrigger triggerNode="0>6|3|0" fillTypes="DIESEL" fillLitersPerSecond="20" dischargeNode="0>6|3|1" startFillText="$l10n_action_refuel" stopFillText="$l10n_action_stopRefuel"/>
        </loadingStation>

        <unloadingStation supportsExtension="false">
            <unloadTrigger exactFillRootNode="0>6|2|0" fillTypes="DIESEL"/>
        </unloadingStation>

        <storages>
            <storage node="0>6|0" fillTypes="DIESEL" capacity="10000" isExtension="false">
                <startFillLevel fillType="DIESEL" fillLevel="0" />
            </storage>
        </storages>

    </silo>

        <solarPanels>
        <solarPanelsConfigurations title="$l10n_configuration_models">
           
            <solarPanelsConfiguration name="$l10n_configuration_valueDefault" isActive="false" price="0">
                <objectChange node="0>5" visibilityActive="true" visibilityInactive="false"/>
                <objectChange node="0>5|1" visibilityActive="false" visibilityInactive="true"/>
               
                <objectChange node="0>5|1|1|0" scaleActive="0 0 0"/>
                <objectChange node="0>5|1|1|1" scaleActive="0 0 0"/>
                <objectChange node="0>5|1|1|2" scaleActive="0 0 0"/>
                <objectChange node="0>5|1|1|3" scaleActive="0 0 0"/>
                <objectChange node="0>5|1|1|4" scaleActive="0 0 0"/>

                <objectChange node="0>5|1|1|0" translationActive="0 0 0"/>
                <objectChange node="0>5|1|1|1" translationActive="0 0 0"/>
                <objectChange node="0>5|1|1|2" translationActive="0 0 0"/>
                <objectChange node="0>5|1|1|3" translationActive="0 0 0"/>
                <objectChange node="0>5|1|1|4" translationActive="0 0 0"/>

                <objectChange node="0>7|2|0" scaleActive="0 0 0"/>
                <objectChange node="0>7|2|1" scaleActive="0 0 0"/>
                <objectChange node="0>7|2|2" scaleActive="0 0 0"/>
                <objectChange node="0>7|2|3" scaleActive="0 0 0"/>
                <objectChange node="0>7|2|4" scaleActive="0 0 0"/>
                <objectChange node="0>7|2|5" scaleActive="0 0 0"/>
                <objectChange node="0>7|2|6" scaleActive="0 0 0"/>
                <objectChange node="0>7|2|7" scaleActive="0 0 0"/>

                <objectChange node="0>6|7|0" scaleActive="0 0 0"/>
            </solarPanelsConfiguration>

              <solarPanelsConfiguration name="$l10n_configuration_valueDesign01" isActive="false" price="150">
                <objectChange node="0>5" visibilityActive="true" visibilityInactive="false"/>

                <objectChange node="0>7|2|0" scaleActive="0 0 0"/>
                <objectChange node="0>7|2|1" scaleActive="0 0 0"/>
                <objectChange node="0>7|2|2" scaleActive="0 0 0"/>
                <objectChange node="0>7|2|3" scaleActive="0 0 0"/>
                <objectChange node="0>7|2|4" scaleActive="0 0 0"/>
                <objectChange node="0>7|2|5" scaleActive="0 0 0"/>
                <objectChange node="0>7|2|6" scaleActive="0 0 0"/>
                <objectChange node="0>7|2|7" scaleActive="0 0 0"/>
                <objectChange node="0>6|7|0" scaleActive="0 0 0"/>
            </solarPanelsConfiguration>

             <solarPanelsConfiguration name="$l10n_configuration_valueDesign02" isActive="false" price="300">
                <objectChange node="0>7" visibilityActive="true" visibilityInactive="false"/>

                <objectChange node="0>5|1|1|0" scaleActive="0 0 0"/>
                <objectChange node="0>5|1|1|1" scaleActive="0 0 0"/>
                <objectChange node="0>5|1|1|2" scaleActive="0 0 0"/>
                <objectChange node="0>5|1|1|3" scaleActive="0 0 0"/>
                <objectChange node="0>5|1|1|4" scaleActive="0 0 0"/>

                <objectChange node="0>5|1|1|0" translationActive="0 0 0"/>
                <objectChange node="0>5|1|1|1" translationActive="0 0 0"/>
                <objectChange node="0>5|1|1|2" translationActive="0 0 0"/>
                <objectChange node="0>5|1|1|3" translationActive="0 0 0"/>
                <objectChange node="0>5|1|1|4" translationActive="0 0 0"/>

                <objectChange node="0>5|0|2" scaleActive="0 0 0"/>
                <objectChange node="0>6|7|1" scaleActive="0 0 0"/>

            </solarPanelsConfiguration>
        
        </solarPanelsConfigurations>
    </solarPanels>



</placeable>